## 对链接错误的理解:

### 常见编译链接错误
#### 链接错误
- **No such file or directory(错误原因：头文件不存在，检查文件路径是否包含，如果头文件不存在，一般是头文件的路径没有include进来，其次检查宏定义，看宏定义是否已生效)**
![](https://www.nanocode.cn/wiki/uploads/gdk3/images/m_796ecd53fa54979ee70c83b6a328f428_r.png)
- **undefined reference to(错误原因：进行编译链接时缺失了相关目标文件.o，可以通过makefile将相关的.c加入)**
![](https://www.nanocode.cn/wiki/uploads/gdk3/images/m_da80bdd3a34055dc86b4dab16e606d70_r.png)
#### 编译错误
- **unexpected end of file found(错误原因：文件未结束，一个函数或者一个结构体定义缺少“}”、括号没有配对出现、或者注释符“/*...*/不完整等等)**
- **include expected a filename, found 'identifier’(错误原因：#include命令中需要文件名，一般是头文件未用一对双引号或尖括号括起来)**
- **syntax error : 'xxx’（错误原因：‘xxx’语法错误，可能多加或少加了符号xxx）**
- **redefinition of formal parameter 'xxx’（错误原因：重复定义形式参数xxx）**
- **‘xxx’ : redefinition(错误原因：标识符xxx重定义,如变量名、数组名重名）**