# 三.编译和烧录第一个文件到GDK3
## 3.1开始编译和烧录
- 1.下载**GDK3 SDK**代码包，并解压。
https://gedu.oss-cn-beijing.aliyuncs.com/Products/GDK3/sdk_v20240524.zip

  ~~https://gedu.oss-cn-beijing.aliyuncs.com/gdk3/gdk3sdk.zip~（不再使用，请勿下载）~

如图所示：
![](https://www.nanocode.cn/wiki/uploads/gdk3/images/m_0d2a02a8dbe9e09f7a1293b04ef8e690_r.png)

- 2.在开始菜单选择**MSYS2 MSYS**,双击启动**MSYS2**命令窗口
![](https://www.nanocode.cn/wiki/uploads/gdk3/images/m_6f4efcd87fc5ab5017d1e8383ffed47f_r.png)

- 3.执行命令`export PATH=路径:$PATH` 设置**gnu arm**工具链路径（下面的是一个示例，要设置您自己下载的**arm**工具链的路径哦）
`export PATH=/d/GnuArmToolchain/bin/:$PATH`

![](https://www.nanocode.cn/wiki/uploads/gdk3/images/m_4be4d127e8c1aa4566ce543783b782f3_r.png)
     执行成功时没有明显反馈，如果您实在想查看可以输入**export**，找到**PATH**查看。
![](https://www.nanocode.cn/wiki/uploads/gdk3/images/m_cd39bc2a6618d15c7d7478d6c45fbd5e_r.png)

- 4.切换到**gdk3sdk**的**gem3**所在目录**D:\work\gdk3sdk\src\gem3**（因为要编译**gem3**文件中的代码，所以**MSYS2 MSYS**编译的文件路径要切换**gem3**所在的目录哦，注意哦，依然是您下载的目录的路径哦，代码示例目录为**D:\work\**）
![](https://www.nanocode.cn/wiki/uploads/gdk3/images/m_9e1c3e4c898d240d4bff02f8386eb85d_r.png)
`cd /d/work/gdk3sdk/src/gem3`
![](https://www.nanocode.cn/wiki/uploads/gdk3/images/m_cf1e90d58e3aaa3944ea6d203f86b2cc_r.png)

- 5.执行**make**命令进行构建，如果构建顺利，会产生**gem3.elf**和**gem3.hex**文件。您可以去**gem3**文件夹查看。
![](https://www.nanocode.cn/wiki/uploads/gdk3/images/m_a843bab6447b6ba42ae739a678b434ef_r.png)
文件夹如下图所示(构建成功后如下图所示)：
![](https://www.nanocode.cn/wiki/uploads/gdk3/images/m_01459994311999948418cc9f6c243195_r.png)
如果没有**make.exe**，可以通过`pacman -S 软件名`安装**make**命令即`pacman -S make`。或者通过`pacman -Syu`更新系统软件包。想要重新生成**gem3.elf**和**gem3.hex**文件，可以用`make clean`清除再生成。

- 6.开启**Nano Code**，使用挥码枪将其连接到主机，进入到调试会话模式后，执行如下命令将新的**gem3**程序烧录到**gdk3**
`!program D:\\work\\gdk3sdk\\src\\gem3\\gem3.hex`
![](https://www.nanocode.cn/wiki/uploads/gdk3/images/m_ec9f1825b3446b65ffe3e6b7aa1d8910_r.png)
执行`!reset`命令以重启**gdk3**，此时蓝色灯应该开始闪光^-^
程序已经烧录到**GDK3**上。可以观察下面芯片蓝色灯光的闪烁状态。
![](https://www.nanocode.cn/wiki/uploads/gdk3/images/m_69bfa4a51e3a4363a2c65c0388829fbb_r.png)
（如果没有，要将Nano Code更新到最新版本^-^，最新下载链接：）
 
 
 **注**(以下信息可使初学者便于理解操作过程)：
①gnu arm工具链和MSYS2 MSYS是在搭建GDK3的开发编译环境时下载的，具体步骤可以看**GDK上手系列之二：开发环境搭建。**
②下载的gdk3sdk文件和gnu arm工具链不要随便解压缩，新建一个文件夹，记住解压缩的位置，以便后期用到文件路径时便于查找。
③如果在其它编译软件写的代码文件要在GDK3环境中进行编译烧录，需要将您自己写的代码文件替换解压缩后的gdk3sdk中的gem3.c文件。
④HEX文件格式是一种能够烧录到单片机中，被单片机执行的文件格式。gem.hex文件就可以烧录到GDK3中。 ELF格式，是一种用于可执行文件、目标代码、共享库和核心转储（core dump）的标准文件格式，一般用于类Unix系统，比如Linux，Macox等。