## 前言
- gdk3 是基于 ARM 技术的通用开发板，它能能更好地让同学们了解物联网。
- 如果你是初学者，那么这篇文档会对你在学习过程中提供巨大的帮助。


## **一.将GDK3和挥码枪连接到电脑主机，并启动Nanocode进行调试。**
------------


### 1.1将GDK3与挥码枪连接到主机
需要
- **USB-typeC 数据线 X2**
- **连接线 X3**
- **挥码枪 X1**
- **gdk3 X1**

连接流程示意：

- USB接口---gdk3---挥码枪---USB接口
- 将两个 USB 接口插到电脑主机上
- 注意挥码枪与 GDK3 之间连接线的位置！（GDK3 上的 GND 连接挥码枪上的 GND，同理，GDK3 上的 SWD 连接挥码枪上的 SWD，GDK3 上的 SWCLK 连接挥码枪上的 SWK ）
**温馨小提示：挥码枪背面有引脚提示信息，挥码枪与 GDK3 的连接与线的颜色没有关系的哟，而且要注意 GND、SWD、SWK 是在 TOP SIDE 层哦。**

如图所示：
![](https://www.nanocode.cn/wiki/uploads/gdk3/images/m_9ce0aa886559e3ea2ce3d12882561834_r.jpg)

![](https://www.nanocode.cn/wiki/uploads/gdk3/images/m_f681ff06f361129a63fd3e8a9a73912f_r.jpg)
### 1.2打开Nano Code开始调试
Nano Code 下载链接：https://www.nanocode.cn/#/download
- 打开 Nano Code，如果没有注册，请先注册，然后登录。
- 在主页中找到 Nano 调试，点击左侧内核调试。
![](https://www.nanocode.cn/wiki/uploads/gdk3/images/m_ea11ec8d6ebe0fc8523073935ae9ce7a_r.png)

- 在弹出的页面中在顶部选择 **USB2/USB3**，单选框选择 **OpebOCD**，输入框内输入 ****gdk3（注意小写）****，然后点击**启动**按钮。
![](https://www.nanocode.cn/wiki/uploads/gdk3/images/m_029db5c7fbc2e91f6cbcb3a11bab1735_r.png)
- 启动成功后页面如下：
![](https://www.nanocode.cn/wiki/uploads/gdk3/images/m_05c65e053ae0fa554e3306d9ecdcbdc9_r.png)
- 点击暂停键进行中断（快捷键F6），成功后效果如下图：
![](https://www.nanocode.cn/wiki/uploads/gdk3/images/m_89e20d0eb483ca742b328a56a66e0a69_r.png)
- 现在，您已经进入了**调试会话模式**，可以在命令行输入命令进行调试了。后面烧录文件时，也需要先进入调试会话模式。
比如输入r，按回车
![](https://www.nanocode.cn/wiki/uploads/gdk3/images/m_5eff21a091b69e068182e14b4d680b77_r.png)
您就能看到寄存器的信息了。
- 要结束调试，点击终止(Shift+F5)，即可退出调试。

更多命令教程，请期待后续更新。